html {
    line-height: 1.15;
}

a {
    color: #19865C;
}

header {
    border-bottom: 1px solid #efefef;
}

body {
    max-width: 960px;
    color: #525252;
    font-family: Roboto, sans-serif;
    margin: 0 auto;
}

main {
    text-align: center;
}

h1, h2, h3, h4, h5, p, ul {
    padding: 0;
    margin: 0;
    font-weight: 400;
}

header {
    display: grid;
    grid-template-columns: auto auto;
    align-items: center;
    justify-content: space-between;
    gap: 7px;
    padding-top: 20px;
    padding-bottom: 10px;
}

.logo {
    font-weight: 700;
    font-size: 1.375rem;
    text-decoration: none;
}

.figure {
    margin-top: 19vh;
    max-width: 265px;
    position: relative;
    z-index: -9;
    overflow: visible;
}

.exhaust__line {
    animation: thrust 70ms 100 ease-in-out alternate;
}

.smoke {
    animation: smoke .1s 70 ease-in-out alternate;
}

@keyframes smoke {
    0% {
        transform: translate3d(-5px, 0, 0);
    }
    100% {
        transform: translate3d(5px, 0, 0);
    }
}

.flame {
    animation: burnInner2 .1s 70 ease-in-out alternate;
}

@keyframes burnInner2 {
    0% {
        transform: translate3d(0, 0, 0);
    }
    100% {
        transform: translate3d(0, 3px, 0);
    }
}

@keyframes thrust {
    0% {
        opacity: 1;
    }
    100% {
        opacity: .5;
    }
}

@media (prefers-reduced-motion: reduce) {
    .exhaust__line,
    .smoke,
    .flame {
        animation: none;
    }
}

h1 {
    font-size: 1.375rem;
    max-width: 32rem;
    margin: 5px auto 0;
}

main p {
    line-height: 1.25;
    max-width: 26rem;
    margin: 15px auto 0;
}

footer {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 5px;
    padding: 25px 0;
    position: fixed;
    box-sizing: border-box;
    left: 50%;
    bottom: 0;
    width: 960px;
    transform: translateX(-50%);
    transform-style: preserve-3d;
    border-top: 1px solid #efefef;
}

.option {
    display: grid;
    grid-template-columns: min-content 1fr;
    gap: 10px;
    box-sizing: border-box;
    text-decoration: none;
}

.option svg {
    width: 1.5rem;
    height: 1.5rem;
    fill: gray;
    border: 1px solid #d6d6d6;
    padding: 5px;
    border-radius: 100%;
}

.option p {
    font-weight: 300;
    line-height: 1.25;
    color: #525252;
    display: table;
}

.option .option__heading {
    color: #19865C;
    font-size: 1.25rem;
    font-weight: 400;
}

@media (max-width: 996px) {
    body, footer {
        max-width: 780px;
    }
}

@media (max-width: 800px) {
    footer {
        height: 100%;
        grid-template-columns: 1fr;
        gap: 60px;
        position: relative;
        padding: 25px;
    }

    .figure {
        margin-top: 10px;
    }

    main {
        padding: 0 25px;
    }

    main h1 {
        font-size: 1.25rem;
    }

    header {
        grid-template-columns: 1fr;
        padding-left: 20px;
        padding-right: 20px;
    }

    footer {
        width: 100%;
        margin-top: 50px;
    }
}

@media (min-width: 801px) and (max-height: 730px) {
    .figure {
        margin-top: 80px;
    }
}

@media (min-width: 801px) and (max-height: 600px) {
    footer {
        position: relative;
        margin: 135px auto 0;
    }

    .figure {
        margin-top: 50px;
    }
}

.sr-only {
    clip: rect(1px, 1px, 1px, 1px);
    clip-path: inset(50%);
    height: 1px;
    overflow: hidden;
    position: absolute;
    white-space: nowrap;
    width: 1px;
}

textarea, select, input {
    position: relative;
    min-height: 40px;
    height: auto;
    width: 100%;
    margin: 5px 0;
    font-size: 16px;
    padding: 2px 10px;
    border-radius: 4px;
    border: 1px solid #eeeeee;
    outline: none;
}

textarea:focus, input:focus {
    border: 1px solid #19865C;
}

button, .button, .btn-link {
    padding: 10px 35px;
    background-color: transparent;
    border-radius: 8px;
    color: #6e7373;
    margin: 10px 0;
    outline: none;
    font-size: 16px;
    font-weight: 600;
    cursor: pointer;
    text-decoration: none;
    display: inline-block;
    border: 1px solid;
}

button:hover, .button:hover, .btn-link:hover {
    border-color: #19865C;
    color: #19865C;
}

.btn-logout {
    border: 0px solid transparent!important;
    text-decoration: none;
}

.alert {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #eee;
    padding: 20px;
    margin: 10px auto;
    border-radius: 4px;
}

.alert .button, .alert button {
    padding: 10px 15px;
    border: 1px solid #bdb2b2;
    width: 50px !important;
    min-width: 50px !important;
    margin: 0!important;
}

.alert-success {
    background-color: #dff0d8;
    border-color: #d0e9c6;
    color: #3c763d;
}

.alert-success hr {
    border-top-color: #c1e2b3;
}

.alert-success .alert-link {
    color: #2b542c;
}

.alert-info {
    background-color: #d9edf7;
    border-color: #bcdff1;
    color: #31708f;
}

.alert-info hr {
    border-top-color: #a6d5ec;
}

.alert-info .alert-link {
    color: #245269;
}

.alert-warning {
    background-color: #fcf8e3;
    border-color: #faf2cc;
    color: #8a6d3b;
}

.alert-warning hr {
    border-top-color: #f7ecb5;
}

.alert-warning .alert-link {
    color: #66512c;
}

.alert-danger {
    background-color: #f2dede;
    border-color: #ebcccc;
    color: #a94442;
}

.alert-danger hr {
    border-top-color: #e4b9b9;
}

.alert-danger .alert-link {
    color: #843534;
}
